import { jsx as r, Fragment as f } from "@emotion/react/jsx-runtime";
import u from "react";
import { getPropertyByString as s } from "@m4l/core";
import { BooleanFormatter as c } from "../../../formatters/BooleanFormatter/BooleanFormatter.js";
function F(n) {
  const { fieldValue: i, presentationType: a, Component: l = u.Fragment } = n;
  return (m) => {
    const { childRows: o } = m;
    if (o.length === 0)
      return /* @__PURE__ */ r(f, { children: "-" });
    const p = o[0], t = s(p, i);
    let e;
    return typeof t == "boolean" ? e = t : e = void 0, /* @__PURE__ */ r(
      c,
      {
        presentationType: a,
        value: e,
        Component: l
      }
    );
  };
}
export {
  F as ColumnBooleanGroupFormatter
};
